Page MenuHomePhabricator

Override Echo system notification icons for all Wikimedia projects
Closed, ResolvedPublic

Description

NOTE: The welcome notifications will now use the icons listed in https://commons.wikimedia.org/wiki/Category:Notifications_Wikimedia_site_icons as appropriate

We now have the welcome and user-rights notifications defaulting to the generic notification icon, but we want to override these on wikipedia projects.

Within echo each notification has a name of the icon that should be displayed. $wgEchoNotificationIcons is a map from these names to the data necesary to load them. Both the welcome and user-rights notifications use an icon named 'site'.

CommonSettings.php already has:

$wgEchoNotificationIcons['site']['url'] = $wmgEchoSiteNotificationIconUrl;

InitializeSettings.php should be adjusted to something like:

'wmgEchoSiteNotificationUrl' => array(
    'default' => false,
    'wikipedia' => 'https://commons.wikipedia.org/....',
    'wikibooks' => 'https://....',
),

Details

Reference
bz47662

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz47662.
bzimport added a subscriber: Unknown Object (MLST).
kaldari created this task.Apr 25 2013, 6:19 PM

Prioritization and scheduling of this bug is tracked on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/204

This is already fixed for English Wikipedia (bug 46585) (just tested a welcome notification in production to verify again), but it should be fixed for all the other Wikimedia wikis where Echo is deployed.

I think the:

'wikipedia' => '...',
'wikibooks' => '...'

setup can be used, similar to wgLogo in InitialiseSettings.

I'm broadening this to all Wikimedia wikis, which S okayed.

Prioritization and scheduling of this bug is tracked on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/256

EBernhardson triaged this task as Normal priority.Dec 12 2014, 10:43 PM
EBernhardson set Security to None.

This seems trivial to do, most of the setup is already in place.

In CommonSettings.php we already have.

$wgEchoNotificationIcons['site']['url'] = $wmgEchoSiteNotificationIconUrl;

Other icons we want to override can use the same structure in the same place. As matt mentioned above we don't have to list out every possible wiki in the config, we can likely just set the icons on large groups. The icons already exist, we just need to do it.

We need links/copies of the actual files that are to be used, in every case. (Size, format, etc.)

Also to answer the question of local variants, e.g. the different Wiktionaries use a variety of Main Logos - glwikt, enwikt, dewikt, itwikt, etc.

See also notes from UX Team in https://www.mediawiki.org/wiki/Echo_%28Notifications%29/Feature_requirements#Icons_and_types (TL;DR: There was a request ~12 months ago that we change all the "User-rights change" icons to a single 'shield' icon, at all wikis. But there was some disagreement amongst the Echo team at the time. Ditto for a few of the other proposed icon changes.)

Legoktm added subscribers: Glaisher, ori, Krenair and 3 others.

From T107952:

  • W icon can be set for all Wikipedias probably
  • Icon should be using /static/ stuff

Is this only shown on the welcome notification? If so, can we reuse the icons in w/static/apple-touch/ or /w/static/favicon/ if they are in the correct size?

Is this only shown on the welcome notification?

Anything which sets 'icon' => 'site' which is welcome and user rights change currently.

If so, can we reuse the icons in w/static/apple-touch/ or /w/static/favicon/ if they are in the correct size?

They should be 30x30 icons according to the documentation.

Restricted Application added subscribers: JEumerus, Luke081515. · View Herald TranscriptJan 20 2016, 8:13 PM

We need links/copies of the actual files that are to be used, in every case. (Size, format, etc.)

This is still the same situation. We need 30x30 PNGs for each family (Wiktionary, Wikivoyage, etc.), like https://upload.wikimedia.org/wikipedia/commons/f/ff/Wikipedia_Echo_notification_icon.png .

Also to answer the question of local variants, e.g. the different Wiktionaries use a variety of Main Logos - glwikt, enwikt, dewikt, itwikt, etc.

This is possible. Let's start by actually supporting Wiktionary at all, though.

Change 270121 had a related patch set uploaded (by Mattflaschen):
Use Wikipedia logo for all Wikipedias

https://gerrit.wikimedia.org/r/270121

Change 270121 merged by jenkins-bot:
Use Wikipedia logo for all Wikipedias for Echo notifications

https://gerrit.wikimedia.org/r/270121

By which he actually means, "I carefully reformatted over a dozen SVGs". Thanks James.

Mattflaschen-WMF added a comment.EditedFeb 13 2016, 1:46 AM

For the remaining two (Wikitech/Wikimedia Labs and foundationwiki, I found suitable images I think we can just use as is (with the right size URL):

https://commons.wikimedia.org/wiki/File:Wikimedia_labs_logo.svg

https://commons.wikimedia.org/wiki/File:Wikimedia-logo.svg

The first I categorized, the second I requested because it's protected. However, if these aren't suitable for some reason, we can swap them out.

Change 270460 had a related patch set uploaded (by Mattflaschen):
Add Echo site icons for all of the remaining families.

https://gerrit.wikimedia.org/r/270460

Change 270460 merged by jenkins-bot:
Add Echo site icons for all of the remaining families.

https://gerrit.wikimedia.org/r/270460

Jdforrester-WMF closed this task as Resolved.Feb 24 2016, 1:33 AM
Jdforrester-WMF added a project: User-notice.
Johan added a subscriber: Johan.Mar 3 2016, 12:37 PM

Just making sure I'm not mistaken regarding the effect this will have for Wikimedia editors, something like this?

"When you get a welcome or user-rights notification, they will now use different icons."

Catrope added a subscriber: Catrope.Mar 3 2016, 7:03 PM

Just making sure I'm not mistaken regarding the effect this will have for Wikimedia editors, something like this?

"When you get a welcome or user-rights notification, they will now use different icons."

user-rights is not affected.

For welcome notifications, we will now use the wiki family's logo as the icon, instead of the information symbol (circle with an "i" in it). This was previously only the case on enwiki, but on Feb 11 this was enabled on the other Wikipedias, and on Feb 23 it was enabled everywhere.

Johan added a comment.Mar 3 2016, 7:28 PM

OK, thanks.

Quiddity updated the task description. (Show Details)Mar 3 2016, 8:49 PM
Quiddity updated the task description. (Show Details)